import Vue from 'vue'
import Viewer from 'v-viewer'
import 'viewerjs/dist/viewer.css'
Vue.use(Viewer)
Viewer.setDefaults({
  // 需要配置的属性
  navbar: false,
  url: 'data-source', // 大图地址参数
  filter(image) {
    // 只有大图的才能放大
    let dataSource = image.getAttribute('data-source')
    if (dataSource == null || dataSource === undefined) {
      return false
    } else {
      return true
    }
  }
})
// Vue.use(Viewer, {
//   defaultOptions: {
//     button: false,
//     navbar: false,
//     title: false,
//     toolbar: true
//   }
// })
